Bug 1416002 - (CVE-2017-5545) CVE-2017-5545 libplist: Out-of-bounds heap buffer read in plistutil
CVE-2017-5545 libplist: Out-of-bounds heap buffer read in plistutil
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170117,reported=2...
: Security
Depends On: 1416008
Blocks: 1416007
  Show dependency treegraph
 
Reported: 2017-01-24 05:57 EST by Andrej Nemec
Modified: 2017-01-31 03:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-31 03:19:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-01-24 05:57:07 EST
The main function in plistutil.c in libimobiledevice libplist allows attackers to obtain sensitive information from process memory or cause a denial of service (buffer over-read) via Apple Property List data that is too short.

Upstream bug:

https://github.com/libimobiledevice/libplist/issues/87

Upstream patch:

https://github.com/libimobiledevice/libplist/commit/7391a506352c009fe044dead7baad9e22dd279ee
Comment 1 Andrej Nemec 2017-01-24 05:58:54 EST
Created libplist tracking bugs for this issue:

Affects: fedora-all [bug 1416008]

Note You need to log in before you can comment on or make changes to this bug.